.. _flatstring-class:

Flatstring
==========

.. code-block:: cpp

    #include <xo/flatstring/flatstring.hpp>

A ``flatstring`` is a thin wrapper around a character array.

.. doxygenclass:: xo::flatstring

Instance Variables
------------------

.. doxygengroup:: flatstring-instance-variables
    :content-only:

Types
-----

.. doxygengroup:: flatstring-types

Constants
---------

.. doxygengroup:: flatstring-constants
    :content-only:

Constructors
------------

.. doxygengroup:: flatstring-ctor
    :content-only:

Properties
----------

.. doxygengroup:: flatstring-properties
    :content-only:

Access Methods
--------------

.. doxygengroup:: flatstring-access
    :content-only:

Iterators
---------

.. doxygengroup:: flatstring-iterators
    :content-only:

Assignment
----------

.. doxygengroup:: flatstring-assign
    :content-only:

Conversion
----------

.. doxygengroup:: flatstring-conversion-operators
    :content-only:
